// 
// EMPersistence.cpp
// 

#include <EEPROM.h>
#include "EMPersistence.h"

EMPersistenceClass::EMPersistenceClass() {
  // EEPROM initialiseren und Daten einlesen
  EEPROM.begin(sizeof(EMPersistenceClass));
  EEPROM.get(0, (*this));
}

void EMPersistenceClass::save() {
  // Im EEPROM ablegen
  EEPROM.put(0, (*this));
  EEPROM.commit();
}

EMPersistenceClass EMPersistence;

